<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__spi__macros__callback__events" kind="group">
    <compoundname>group_scb_spi_macros_callback_events</compoundname>
    <title>SPI Callback Events</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__spi__macros__callback__events_1ga2d52b5c2ccce2536ef6f0716320ffc39" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TRANSFER_IN_FIFO_EVENT</name>
        <initializer>(0x01U)</initializer>
        <briefdescription>
<para>All data elements specified by <ref kindref="member" refid="group__group__scb__spi__high__level__functions_1ga6fdbb98ef7faddc5025fab510fb1617e">Cy_SCB_SPI_Transfer</ref> for transmission have been loaded into the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="768" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="768" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__callback__events_1gafe7ca0de9c979f366dcd59bdd98f2165" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TRANSFER_CMPLT_EVENT</name>
        <initializer>(0x02U)</initializer>
        <briefdescription>
<para>The transfer operation started by <ref kindref="member" refid="group__group__scb__spi__high__level__functions_1ga6fdbb98ef7faddc5025fab510fb1617e">Cy_SCB_SPI_Transfer</ref> is complete. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="771" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="771" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__callback__events_1gaabf6c7b9a105e045cee8219a416a3cba" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TRANSFER_ERR_EVENT</name>
        <initializer>(0x04U)</initializer>
        <briefdescription>
<para>An error occurred during the transfer. </para>        </briefdescription>
        <detaileddescription>
<para>This includes overflow, underflow and a transfer error. Check <ref kindref="member" refid="group__group__scb__spi__high__level__functions_1ga95069817e25be749ae989e5d7131f8d0">Cy_SCB_SPI_GetTransferStatus</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="777" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="777" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check SPI events passed by <ref kindref="member" refid="group__group__scb__spi__data__structures_1gaa02c98c323acc350f3b4780f7833785f">cy_cb_scb_spi_handle_events_t</ref> callback. </para>    </briefdescription>
    <detaileddescription>
<para>Note that only single event is notified by the callback when it is called. </para>    </detaileddescription>
  </compounddef>
</doxygen>